Products
Update a product
Update product name or URL. At least one field required.
Permission: product:edit (lead+ role)
PUT
/
api
/
products
/
{id}
Update a product
curl --request PUT \
--url https://app.dacard.ai/api/products/{id} \
--header 'Content-Type: application/json' \
--cookie __session= \
--data '
{
"name": "<string>",
"url": "<string>"
}
'import requests
url = "https://app.dacard.ai/api/products/{id}"
payload = {
"name": "<string>",
"url": "<string>"
}
headers = {
"cookie": "__session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: '__session=', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>'})
};
fetch('https://app.dacard.ai/api/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "Authentication required",
"code": "AUTH_REQUIRED"
}{
"error": "<string>",
"code": "AUTH_REQUIRED",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "AUTH_REQUIRED",
"message": "<string>",
"details": "<unknown>"
}Authorizations
clerkAuthbearerAuth
Clerk session cookie. Authentication is handled by Clerk. Sign in at https://app.dacard.ai/sign-in to obtain a session.
Path Parameters
Product UUID
Response
Product updated
Example:
true
Was this page helpful?
⌘I
Update a product
